Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class AbstractPropertiesHolder

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder

All Implemented Interfaces:
  Extensible

Direct Known Subclasses:
  AbstractDescriptionElement, AbstractMessageContainer, BindingFaultInfo, BindingMessageInfo, BindingOperationInfo, DescriptionInfo, MessagePartInfo, OperationInfo, SchemaInfo

    public abstract class AbstractPropertiesHolder

extends java.lang.Object
implements Extensible

Constructor Summary
`AbstractPropertiesHolder()`

Method Summary
`void` | `addExtensionAttribute(javax.xml.namespace.QName name, java.lang.Object attr)`
`void` | `addExtensor(java.lang.Object el)`
`boolean` | `containsExtensor(java.lang.Object el)`
`java.lang.Object` | `getExtensionAttribute(javax.xml.namespace.QName name)`
`java.util.Map<javax.xml.namespace.QName,java.lang.Object>` | `getExtensionAttributes()`
`
`<T> T`
` | `getExtensor(java.lang.Class<T> cls)`
`java.util.concurrent.atomic.AtomicReference<java.lang.Object[]>` | `getExtensors()`
`
`<T> java.util.List<T>`
` | `getExtensors(java.lang.Class<T> cls)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`
`<T> T`
` | `getProperty(java.lang.String name, java.lang.Class<T> cls)`
`
`<T> T`
` | `getTraversedExtensor(T defaultValue, java.lang.Class<T> type)` Lookup a configuration value.
`boolean` | `hasProperty(java.lang.String name)`
`void` | `setExtensionAttributes(java.util.Map<javax.xml.namespace.QName,java.lang.Object> attrs)`
`void` | `setProperty(java.lang.String name, java.lang.Object v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPropertiesHolder

    public AbstractPropertiesHolder()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### getProperty

    public <T> T getProperty(java.lang.String name,
                             java.lang.Class<T> cls)

### hasProperty

    public boolean hasProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object v)

### containsExtensor

    public boolean containsExtensor(java.lang.Object el)

### addExtensor

    public void addExtensor(java.lang.Object el)

  Specified by:
    `addExtensor` in interface `Extensible`

### getExtensor

    public <T> T getExtensor(java.lang.Class<T> cls)

  Specified by:
    `getExtensor` in interface `Extensible`

### getExtensors

    public <T> java.util.List<T> getExtensors(java.lang.Class<T> cls)

  Specified by:
    `getExtensors` in interface `Extensible`

### getExtensors

    public java.util.concurrent.atomic.AtomicReference<java.lang.Object[]> getExtensors()

### getExtensionAttribute

    public java.lang.Object getExtensionAttribute(javax.xml.namespace.QName name)

  Specified by:
    `getExtensionAttribute` in interface `Extensible`

### getExtensionAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.Object> getExtensionAttributes()

  Specified by:
    `getExtensionAttributes` in interface `Extensible`

### addExtensionAttribute

    public void addExtensionAttribute(javax.xml.namespace.QName name,
                                      java.lang.Object attr)

  Specified by:
    `addExtensionAttribute` in interface `Extensible`

### setExtensionAttributes

    public void setExtensionAttributes(java.util.Map<javax.xml.namespace.QName,java.lang.Object> attrs)

  Specified by:
    `setExtensionAttributes` in interface `Extensible`

### getTraversedExtensor

    public <T> T getTraversedExtensor(T defaultValue,
                                      java.lang.Class<T> type)

  Lookup a configuration value. This may be found in the properties holder supplied (i.e. an EndpointInfo or ServiceInfo), or it may be a property on the Bus itself. If no value is found, the defaultValue is returned.

  Parameters:
    `defaultValue` - the default value
    `type` - the extensor type
  Returns:
    the configuration value or the default

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF